﻿namespace Drive.Commands.Finance.Accounts
{
    public class CreateReceivableAccountCommand
    {
        public Guid Id { get; set; }
        public string Code { get; set; } = string.Empty;
        public Guid OrganisationId { get; set; }
        public decimal CreditLimit { get; set; }
        public bool AccountStopped { get; set; }
        public string? StatementEmail { get; set; }
        public string? InvoiceEmail { get; set; }
        public string? InternalNotes { get; set; }
        public int AccountTypeId { get; set; }
        public int BranchId { get; set; }
    }
}
