﻿namespace Drive.Commands.Scheduling.Audio
{
    public class RelocateAudioMediaCommand
        : IRelocateAudioMediaCommand
    {
        public Guid AudioId { get; set; }
        public int MediaType { get; set; }
        public string FilePath { get; set; } = string.Empty;
    }

    public interface IRelocateAudioMediaCommand
    {
        Guid AudioId { get; set; }
        int MediaType { get; set; }
        string FilePath { get; set; }
    }
}