﻿namespace Drive.Events
{
    /// <summary>
    /// This interface is a marker to make it possible to notify a client that a correlated thing is finished.
    /// If <see cref="CorrelationIdsMessageMutator"/> has been configured, then it should be a matter of setting the appropriate
    /// headers at the start of the chain and then raising this event type on completion.
    /// </summary>
    public interface ICorrelatedEvent { }
}
