﻿using NodaTime;

namespace Drive.Events.Creative.Briefs
{
    public class ComposeBriefCreatedEvent
    {
        public Guid BriefId { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public int BriefScopeId { get; set; }
        public Guid ContractId { get; set; }
        public Guid ClientId { get; set; }
        public int AccountManagerId { get; set; }
        public Guid? CommercialApprovalContactId { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate ScriptDueDate { get; set; }
        public LocalDate AudioDueDate { get; set; }
        public string? ClientGoals { get; set; }
        public string? ClientProductService { get; set; }
        public string? CommercialMandatories { get; set; }
        public string? TargetMarket { get; set; }
        public string? ListenerResponse { get; set; }
        public string? WriterNotes { get; set; }
        public string? CommercialSoundingRequirements { get; set; }
        public string? InstructingNotes { get; set; }
    }
}