﻿using NodaTime;

namespace Drive.Events.Creative.Briefs
{
    public class RecartRequestEditedEvent
    {
        public Guid BriefId { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public Guid ClientId { get; set; }
        public int? AccountManagerId { get; set; }
        public string? InstructingNotes { get; set; }
        public IEnumerable<Guid> RecartAudioIds { get; set; } = Enumerable.Empty<Guid>();
    }
}
