﻿using NodaTime;

namespace Drive.Events.Creative.Briefs
{
    public class SuppliedRequestedEvent
    {
        public Guid BriefId { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public Guid ContractId { get; set; }
        public Guid ClientId { get; set; }
        public int AccountManagerId { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public string? InstructingNotes { get; set; }
    }
}