﻿using NodaTime;

namespace Drive.Events.Crm.Clients
{
    public class ClientCreatedEvent :
        ICorrelatedEvent
    {
        public Guid ClientId { get; set; }
        public int OID { get; set; } // Legacy
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }

        public string Code { get; set; } = string.Empty;
        public string LegalName { get; set; } = string.Empty;
        public string? TradingName { get; set; }
        public string? Description { get; set; }
        public int BranchId { get; set; }
        public int OrganisationType { get; set; }
    }
}