﻿using NodaTime;

namespace Drive.Events.Sales.Contracts
{
    public class ContractCreatedEvent
    {
        public Guid ContractId { get; set; }
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
        public string Code { get; set; } = string.Empty;
        public int AccountManagerId { get; set; }
        public Guid? AgencyId { get; set; }
        public Guid AdvertiserId { get; set; }
        public Guid? ReceivableAccountId { get; set; }
        public int SalesChannelId { get; set; }
        public int? CommissionId { get; set; }
        public int? BookingFeeId { get; set; }
        public Guid? CommitmentId { get; set; }
        public int TaxId { get; set; }
        public string BookingAuthorisedBy { get; set; } = string.Empty;
        public string DescriptionAdvertiser { get; set; } = string.Empty;
        public string? ClientOrderNo { get; set; }
        public bool IsGenerated { get; set; }
        public bool IsImported { get; set; }
        public bool NoCreative { get; set; }
    }
}
