﻿using Drive.Commands.Sales.Contracts;

namespace Drive.Commands
{
    public class DuplicateContractMessage : IDuplicateContractCommand
    {
        public Guid SourceContractId { get; set; }
        public Guid DestinationContractId { get; set; }
        public string Code { get; set; } = string.Empty;
        public int AccountManagerId { get; set; }
        public Guid? AgencyId { get; set; }
        public Guid AdvertiserId { get; set; }
        public Guid? ReceivableAccountId { get; set; }
        public int SalesChannelId { get; set; }
        public int? CommissionId { get; set; }
        public int? BookingFeeId { get; set; }
        public int TaxId { get; set; }
        public bool IsImported { get; set; }
    }
}
