﻿using NodaTime;

namespace Drive.Commands.ItOps.Admin.Staff
{
    public class CreateBudget
    {
        public decimal Amount { get; set; }
        public LocalDate Date { get; set; }
    }

    public class CreateStaffCommand
    {
        public int? Id { get; set; }
        public string? ExternalId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public int? BranchId { get; set; }
        public int? StaffTeamId { get; set; }
        public bool Voice { get; set; }
        public IEnumerable<CreateBudget> Budgets { get; set; } = Enumerable.Empty<CreateBudget>();
    }
}