﻿using NodaTime;

namespace Drive.Commands.ItOps.Notifications
{
    public class CreateChargeLineAlertCommand
    {
        public Guid ContractId { get; set; }
        public Guid ChargeLineId { get; set; }
        public string StationDescription { get; set; } = string.Empty;
        public LocalDate ChargeDate { get; set; }
        public decimal Amount { get; set; }
        public bool NewChargeLine { get; set; }
        public bool Force { get; set; }
    }
}
