﻿using Drive.Commands.Creative.Briefs;
using Drive.Commands.Scheduling.Audio;
using Drive.Commands.Web;

namespace Drive.Commands
{
    public class ProcessSuppliedAudioCommand
        : IAddSuppliedAudioCommand,
        ICleanUpSuppliedAudioMediaCommand,
        IRelocateAudioMediaCommand,
        ISendAcknowledgementCommand
    {
        public Guid AcknowledgementId { get; set; }
        public string UserCode { get; set; } = string.Empty;
        public Guid BriefId { get; set; }
        public Guid AudioId { get; set; }
        public Guid MediaId { get; set; }
        public int MediaType { get; set; }
        public string FilePath { get; set; } = string.Empty;
    }
}