﻿using NodaTime;

namespace Drive.Commands.Sales.BookingLines
{
    public class AirmailChangePlacementCommand
    {
        public Guid Id { get; set; }
        public int TimezoneId { get; set; }
        public short LineTypeId { get; set; }
        public int Length { get; set; }
        public int? TailLength { get; set; }
        public LocalTime? StartTime { get; set; }
        public LocalTime? EndTime { get; set; }
        public IDictionary<int, decimal> StationIds { get; set; } = new Dictionary<int, decimal>();
    }
}