﻿using Drive.Messages;
using NodaTime;

namespace Drive.Commands.Sales.BookingLines
{
    public class AirmailCreateBookingLineCommand
    {
        public Guid Id { get; set; }
        public Guid ContractId { get; set; }
        public int ProductId { get; set; }
        public LocalDate ForMonth { get; set; }
        public int LineNumber { get; set; }
        public int TimezoneId { get; set; }
        public short LineTypeId { get; set; }
        public int Length { get; set; }
        public int? TailLength { get; set; }
        public LocalTime? StartTime { get; set; }
        public LocalTime? EndTime { get; set; }
        public IDictionary<int, decimal> StationIds { get; set; } = new Dictionary<int, decimal>();
        public IEnumerable<Booking> Bookings { get; set; } = [];
    }
}