﻿namespace Drive.Commands.Sales.Contracts
{
    public class EditContractCommand
    {
        public Guid ContractId { get; set; }
        public int SalesChannelId { get; set; }
        public Guid? AgencyId { get; set; }
        public Guid AdvertiserId { get; set; }
        public Guid? ReceivableAccountId { get; set; }
        public int AccountManagerId { get; set; }
        public int? CommissionId { get; set; }
        public int? BookingFeeId { get; set; }
        public string BookingAuthorisedBy { get; set; } = string.Empty;
        public string DescriptionAdvertiser { get; set; } = string.Empty;
        public string? ClientOrderNo { get; set; }
        public bool NoCreative { get; set; }
        public int? ContentAdvertisedId { get; set; }

        public int? SecondaryContentAdvertisedId { get; set; }

        public bool AllowContentClashes { get; set; }

        public bool AllowClientClashes { get; set; }

        public bool NoGiveaways { get; set; }
    }
}