﻿namespace Drive.Commands.Scheduling.Audio
{
    public class CreateAudioSequenceCommand
        : ICreateAudioSequenceCommand
    {
        public Guid AudioSequenceId { get; set; }
        public Guid AudioId { get; set; }
        public Guid AudioBriefId { get; set; }
        public string Code { get; set; } = string.Empty;
    }

    public interface ICreateAudioSequenceCommand
    {
        Guid AudioSequenceId { get; set; }
        Guid AudioId { get; set; }
        Guid AudioBriefId { get; set; }
        string Code { get; set; }
    }
}