﻿namespace Drive.Commands.Scheduling.Audio
{
    public class CreateSequenceAudioFromAudioCopyCommand
        : ICreateSequenceAudioFromAudioCopyCommand
    {
        public Guid ClientId { get; set; }
        public Guid AudioBriefId { get; set; }
        public Guid CopyFromAudioId { get; set; }
        public Guid AudioId { get; set; }
        public string Code { get; set; } = string.Empty;
    }

    public interface ICreateSequenceAudioFromAudioCopyCommand
    {
        Guid ClientId { get; set; }
        Guid AudioBriefId { get; set; }
        Guid CopyFromAudioId { get; set; }
        Guid AudioId { get; set; }
        string Code { get; set; }
    }
}