﻿using NodaTime;

namespace Drive.Events.ItOps.Admin.Branches
{
    public class BranchCreatedEvent
    {
        public int Id { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }

        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public string BranchName { get; set; } = string.Empty;
        public bool Active { get; set; }
        public string? Phone { get; set; }
        public string? Email { get; set; }
        public string? Fax { get; set; }
        public int? SurveyMarketId { get; set; }
        public int? BranchManagerStaffId { get; set; }
        public int? CreativeDirectorStaffId { get; set; }
        public int? AssistantCreativeDirectorStaffId { get; set; }
        public int? SalesManagerStaffId { get; set; }
        public int? InventoryManagerStaffId { get; set; }
        public int? CreditControllerStaffId { get; set; }
    }
}