﻿using NodaTime;

namespace Drive.Events.Scheduling.Audio
{
    public class AudioMediaStoredEvent
    {
        public Guid AudioMediaId { get; set; }
        public string Path { get; set; } = string.Empty;
        public Instant StoredAt { get; set; }
        public double Duration { get; set; }
        public byte[] Checksum { get; set; } = Array.Empty<byte>();
    }
}
